> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /vpc/v1/subnets/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /vpc/v1/subnets/{id}:
    get:
      tags:
        - nebius.vpc.v1.SubnetService
      summary: Get
      operationId: SubnetService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vpcV1Subnet'
          description: A successful response.
components:
  schemas:
    vpcV1Subnet:
      description: >-
        Defines a Subnet, a segment of a network used for more granular control
        and management.

        Subnet uses pools to organize address space.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/vpcV1SubnetSpec'
        status:
          $ref: '#/components/schemas/vpcV1SubnetStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    vpcV1SubnetSpec:
      properties:
        ipv4PrivatePools:
          $ref: '#/components/schemas/v1IPv4PrivateSubnetPools'
        ipv4PublicPools:
          $ref: '#/components/schemas/v1IPv4PublicSubnetPools'
        networkId:
          description: ID of the network this subnet belongs to.
          type: string
        routeTableId:
          description: |-
            ID of the route table to associate with the subnet.
            If unspecified, the network's default route table is used.
          type: string
      required:
        - networkId
      type: object
    vpcV1SubnetStatus:
      properties:
        ipv4PrivateCidrs:
          description: |-
            CIDR blocks.
            Deprecated: Use `ipv4_private_pools.cidrs` instead.
          items:
            type: string
          type: array
        ipv4PrivatePools:
          description: Private IPv4 pools available for allocations in this subnet.
          items:
            $ref: '#/components/schemas/v1SubnetStatusPool'
          type: array
        ipv4PublicCidrs:
          description: |-
            CIDR blocks.
            Deprecated: Use `ipv4_public_pools.cidrs` instead.
          items:
            type: string
          type: array
        ipv4PublicPools:
          description: Public IPv4 pools available for allocations in this subnet.
          items:
            $ref: '#/components/schemas/v1SubnetStatusPool'
          type: array
        routeTable:
          $ref: '#/components/schemas/v1SubnetAssociatedRouteTable'
        state:
          $ref: '#/components/schemas/vpcV1SubnetStatusState'
      type: object
    v1IPv4PrivateSubnetPools:
      properties:
        pools:
          description: |-
            List of private IPv4 CIDR blocks for this subnet.
            Must not overlap with other resources in the network
            Must be empty if `use_network_pools` is true.
          items:
            $ref: '#/components/schemas/vpcV1SubnetPool'
          type: array
        useNetworkPools:
          description: >-
            If true, inherit private IPv4 pools from the network. Defaults to
            true.

            Must be false if `pools` is specified.
          type: boolean
      type: object
    v1IPv4PublicSubnetPools:
      properties:
        pools:
          description: |-
            List of public IPv4 CIDR blocks for this subnet.
            Must not overlap with other resources in the network.
            Must be empty if `use_network_pools` is true.
          items:
            $ref: '#/components/schemas/vpcV1SubnetPool'
          type: array
        useNetworkPools:
          description: |-
            If true, inherit public IPv4 pools from the network.
            Must be false if `pools` is specified.
          type: boolean
      type: object
    v1SubnetStatusPool:
      properties:
        cidrs:
          description: CIDR blocks sourced from this pool.
          items:
            type: string
          type: array
        poolId:
          description: ID of the pool available for allocations in this subnet.
          type: string
      type: object
    v1SubnetAssociatedRouteTable:
      properties:
        default:
          description: >-
            Indicates whether this is the network's default route table.

            If true, this is the default route table inherited from the network.

            If false, this is a custom route table explicitly associated with
            the subnet via spec.
          type: boolean
        id:
          description: ID of the route table.
          type: string
      type: object
    vpcV1SubnetStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Enumeration of possible states of the subnet.

         - STATE_UNSPECIFIED: Default state, unspecified.
         - CREATING: Subnet is being created.
         - READY: Subnet is ready for use.
         - DELETING: Subnet is being deleted.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - READY
        - DELETING
      type: string
    vpcV1SubnetPool:
      properties:
        cidrs:
          items:
            $ref: '#/components/schemas/vpcV1SubnetCidr'
          type: array
      type: object
    vpcV1SubnetCidr:
      properties:
        cidr:
          description: |-
            A CIDR block (e.g., "10.1.2.0/24") or a prefix length (e.g., "/24").
            If prefix length is specified, the CIDR block will be auto-allocated
            from the network's available space.
          type: string
        maxMaskLength:
          description: >-
            Maximum mask length for an allocation from this block. Defaults to
            /32 for IPv4.
          format: int64
          type: string
        state:
          $ref: '#/components/schemas/v1AddressBlockState'
      required:
        - cidr
      type: object
    v1AddressBlockState:
      default: STATE_UNSPECIFIED
      description: |-
        Controls provisioning of IP addresses from this pool to other pools
        or allocations. Defaults to AVAILABLE.

         - STATE_UNSPECIFIED: Not used, mandated by the protocol.
         - AVAILABLE: Default state. Provision of the IP addresses from this CIDR block is allowed.
         - DISABLED: Provision of the IP addresses from this CIDR block is denied.
      enum:
        - STATE_UNSPECIFIED
        - AVAILABLE
        - DISABLED
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````